• Home
  • History
  • Annotate
  • Raw
  • Download
  • only in /netgear-WNDR4500-V1.0.1.40_1.0.68/ap/gpl/timemachine/netatalk-2.2.0/

Lines Matching refs:echo

35 # Sed that helps us avoid accidentally triggering echo(1) options like -n.
77 # An echo program that does not interpret backslashes.
78 echo="echo"
215 archive_expsym_cmds="\$echo \\\"{ global:\\\" > \$output_objdir/\$libname.ver~
217 \$echo \\\"local: *; };\\\" >> \$output_objdir/\$libname.ver~
393 progname=`echo "$progpath" | $SED $basename`
419 # Check that we have a working $echo.
423 elif test "X$1" = X--fallback-echo; then
426 elif test "X`($echo '\t') 2>/dev/null`" = 'X\t'; then
427 # Yippee, $echo works!
430 # Restart under the correct shell, and then maybe $echo will work.
434 if test "X$1" = X--fallback-echo; then
435 # used as fallback echo
455 case `echo X|tr X '\101'` in
493 $echo "$modename: not configured to build any kind of library" 1>&2
494 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
504 show="$echo"
546 $echo "cannot create temporary directory \`$my_tmpdir'" 1>&2
551 $echo "X$my_tmpdir" | $Xsed
597 $echo $win32_libid_type
622 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*) ;;
641 " $CC "* | "$CC "* | " `$echo $CC` "* | "`$echo $CC` "* | " $CC_quoted"* | "$CC_quoted "* | " `$echo $CC_quoted` "* | "`$echo $CC_quoted` "*)
655 $echo "$modename: unable to infer tagged configuration"
656 $echo "$modename: specify a tag with \`--tag'" 1>&2
659 # $echo "$modename: using $tagname tagged configuration"
678 $echo "$modename: ERROR: object name conflicts: $f_ex_an_ar_dir/$f_ex_an_ar_oldlib" 1>&2
709 my_xlib=`$echo "X$my_xlib" | $Xsed -e 's%^.*/%%'`
739 darwin_base_archive=`$echo "X$darwin_archive" | $Xsed -e 's%^.*/%%'`
742 darwin_arches=`echo "$darwin_arches" | $SED -e 's/.*are://'`
792 -*=*) optarg=`$echo "X$arg" | $Xsed -e 's/[-_a-zA-Z0-9]*=//'` ;;
809 $echo "$progname: invalid tag name: $tagname" 1>&2
825 $echo "$progname: ignoring unknown tag $tagname" 1>&2
847 echo "\
866 $echo "$progname: enabling shell trace mode"
876 $echo "host: $host"
878 $echo "enable shared libraries"
880 $echo "disable shared libraries"
883 $echo "enable static libraries"
885 $echo "disable static libraries"
920 $echo "$modename: unrecognized option \`$arg'" 1>&2
921 $echo "$help" 1>&2
933 $echo "$modename: option \`$prevopt' requires an argument" 1>&2
934 $echo "$help" 1>&2
946 build_old_libs=`case $build_libtool_libs in yes) echo no;; *) echo yes;; esac`
959 $echo "*** Warning: inferring the mode of operation is deprecated." 1>&2
960 $echo "*** Future versions of Libtool will require --mode=MODE be specified." 1>&2
990 $echo "$modename: warning: cannot infer operation mode from \`$nonopt'" 1>&2
992 $echo "$modename: warning: cannot infer operation mode without MODE-ARGS" 1>&2
1001 $echo "$modename: unrecognized option \`-dlopen'" 1>&2
1002 $echo "$help" 1>&2
1044 $echo "$modename: you cannot specify \`-o' more than once" 1>&2
1067 args=`$echo "X$arg" | $Xsed -e "s/^-Wc,//"`
1084 lastarg=`$echo "X$lastarg" | $Xsed -e "s/^ //"`
1103 lastarg=`$echo "X$lastarg" | $Xsed -e "$sed_quote_subst"`
1122 $echo "$modename: you must specify an argument for -Xcompile"
1126 $echo "$modename: you must specify a target with \`-o'" 1>&2
1131 [ -z "$libobj" ] && libobj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%'`
1156 libobj=`$echo "X$libobj" | $Xsed -e "s/\.$xform$/.lo/"`
1159 *.lo) obj=`$echo "X$libobj" | $Xsed -e "$lo2o"` ;;
1161 $echo "$modename: cannot determine name of library object from \`$libobj'" 1>&2
1187 qlibobj=`$echo "X$libobj" | $Xsed -e "$sed_quote_subst"`
1193 && $echo "X$libobj" | grep '[]~#^*{};<>?"'"'"' &()|`$[]' \
1194 && $echo "$modename: libobj name \`$libobj' may not contain shell special characters."
1195 objname=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
1196 xdir=`$echo "X$obj" | $Xsed -e 's%/[^/]*$%%'`
1205 $echo "$modename: you must specify a compilation command" 1>&2
1206 $echo "$help" 1>&2
1234 output_obj=`$echo "X$srcfile" | $Xsed -e 's%^.*/%%' -e 's%\.[^.]*$%%'`.${objext}
1253 $echo "\
1267 $echo "$srcfile" > "$lockfile"
1273 qsrcfile=`$echo "X$srcfile" | $Xsed -e "$sed_quote_subst"`
1330 $echo "\
1402 $echo "\
1539 $echo "$modename: warning: complete static linking is impossible in this configuration" 1>&2
1575 qarg=\"`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`\" ### testsuite: skip nested quoting test
1634 $echo "$modename: symbol file \`$arg' does not exist"
1686 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
1691 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1744 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
1750 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
1757 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
1758 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
1765 $echo "$modename: link input file \`$save_arg' does not exist"
1777 $echo "$modename: only absolute run-paths are allowed" 1>&2
1851 $echo "$modename: \`-allow-undefined' is deprecated because it is the default" 1>&2
1877 $echo "$modename: more than one -exported-symbols argument is not allowed"
1918 dir=`$echo "X$arg" | $Xsed -e 's/^-L//'`
1925 $echo "$modename: cannot determine absolute directory name of \`$dir'" 1>&2
1941 testbindir=`$echo "X$dir" | $Xsed -e 's*/lib$*/bin*'`
2039 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
2066 $echo "$modename: warning: \`-no-install' is ignored for $host" 1>&2
2067 $echo "$modename: warning: assuming \`-no-fast-install' instead" 1>&2
2108 dir=`$echo "X$arg" | $Xsed -e 's/^-R//'`
2113 $echo "$modename: only absolute run-paths are allowed" 1>&2
2149 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wc,//'`
2163 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
2167 args=`$echo "X$arg" | $Xsed -e "$sed_quote_subst" -e 's/^-Wl,//'`
2182 arg=`$echo "X$arg" | $Xsed -e "s/^ //"`
2204 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
2236 $echo "$modename: cannot find name of object for \`$arg'" 1>&2
2241 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
2294 $echo "$modename: \`$arg' is not a valid libtool object" 1>&2
2300 xdir=`$echo "X$arg" | $Xsed -e 's%/[^/]*$%%'`
2307 pic_object=`$echo "X${xdir}${objdir}/${arg}" | $Xsed -e "$lo2o"`
2308 non_pic_object=`$echo "X${xdir}${arg}" | $Xsed -e "$lo2o"`
2343 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
2360 $echo "$modename: the \`$prevarg' option requires an argument" 1>&2
2361 $echo "$help" 1>&2
2373 outputname=`$echo "X$output" | $Xsed -e 's%^.*/%%'`
2378 eval shlib_search_path=\`\$echo \"X\${$shlibpath_var}\" \| \$Xsed -e \'s/:/ /g\'\`
2385 output_objdir=`$echo "X$output" | $Xsed -e 's%/[^/]*$%%'`
2404 $echo "$modename: you must specify an output file" 1>&2
2405 $echo "$help" 1>&2
2467 $echo "$modename: libraries can \`-dlopen' only libtool libraries: $file" 1>&2
2520 $echo "$modename: warning: \`-l' is ignored for archives/objects" 1>&2
2523 name=`$echo "X$deplib" | $Xsed -e 's/^-l//'`
2572 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2597 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2610 newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`
2613 $echo "$modename: warning: \`-L' is ignored for archives/objects" 1>&2
2620 dir=`$echo "X$deplib" | $Xsed -e 's/^-R//'`
2643 if eval $echo \"$deplib\" 2>/dev/null \
2654 $echo
2655 $echo "*** Warning: Trying to link with static lib archive $deplib."
2656 $echo "*** I have the capability to make that library automatically link in when"
2657 $echo "*** you link to this library. But I can only do this if you have a"
2658 $echo "*** shared version of the library, which you do not appear to have"
2659 $echo "*** because the file extensions .$libext of this argument makes me believe"
2660 $echo "*** that it is just a static archive that I should not used here."
2662 $echo
2663 $echo "*** Warning: Linking the shared library $output against the"
2664 $echo "*** static library $deplib is not portable!"
2703 $echo "$modename: cannot find the library \`$lib' or unhandled argument \`$deplib'" 1>&2
2710 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
2714 ladir=`$echo "X$lib" | $Xsed -e 's%/[^/]*$%%'`
2748 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2765 $echo "$modename: \`$lib' is not a convenience library" 1>&2
2778 $echo "$modename: cannot find name of link library for \`$lib'" 1>&2
2785 $echo "$modename: cannot -dlopen a convenience library: \`$lib'" 1>&2
2808 $echo "$modename: warning: cannot determine absolute directory name of \`$ladir'" 1>&2
2809 $echo "$modename: passing it literally to the linker, although it might fail" 1>&2
2814 laname=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
2819 $echo "$modename: warning: library \`$lib' was moved." 1>&2
2841 name=`$echo "X$laname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
2846 $echo "$modename: cannot -dlpreopen a convenience library: \`$lib'" 1>&2
2888 -L*) newlib_search_path="$newlib_search_path "`$echo "X$deplib" | $Xsed -e 's/^-L//'`;; ### testsuite: skip nested quoting test
2971 $echo
2973 $echo "*** Warning: Linking the executable $output against the loadable module"
2975 $echo "*** Warning: Linking the shared library $output against the loadable module"
2977 $echo "*** $linklib is not portable!"
3009 libname=`eval \\$echo \"$libname_spec\"`
3028 soname=`$echo $soroot | ${SED} -e 's/^.*\///'`
3029 newlib="libimp-`$echo $soname | ${SED} 's/^lib//;s/\.dll$//'`.a"
3083 $echo "** Warning, lib $linklib is a module, not a shared library"
3085 $echo
3086 $echo "** And there doesn't seem to be a static archive available"
3087 $echo "** The link will probably fail, sorry"
3131 $echo "$modename: configuration error: unsupported hardcode properties"
3223 $echo
3224 $echo "*** Warning: This system can not link to static lib archive $lib."
3225 $echo "*** I have the capability to make that library automatically link in when"
3226 $echo "*** you link to this library. But I can only do this if you have a"
3227 $echo "*** shared version of the library, which you do not appear to have."
3229 $echo "*** But as you try to build a module library, libtool will still create "
3230 $echo "*** a static module, that should work as long as the dlopening application"
3231 $echo "*** is linked with the -dlopen flag to resolve symbols at runtime."
3233 $echo
3234 $echo "*** However, this would only work if libtool was able to extract symbol"
3235 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
3236 $echo "*** not find such a program. So, this module is probably useless."
3237 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
3261 -R*) temp_xrpath=`$echo "X$libdir" | $Xsed -e 's/^-R//'`
3293 dir=`$echo "X$deplib" | $Xsed -e 's%/[^/]*$%%'`
3301 $echo "$modename: warning: cannot determine absolute directory name of \`$dir'" 1>&2
3311 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
3315 $echo "$modename: warning: \`$deplib' seems to be moved" 1>&2
3355 eval tmp_libs=`$echo "X$deplib" | $Xsed -e "s,^\-l,,"`
3486 $echo "$modename: warning: \`-l' and \`-L' are ignored for archives" 1>&2 ;;
3490 $echo "$modename: warning: \`-dlopen' is ignored for archives" 1>&2
3494 $echo "$modename: warning: \`-rpath' is ignored for archives" 1>&2
3498 $echo "$modename: warning: \`-R' is ignored for archives" 1>&2
3502 $echo "$modename: warning: \`-version-info/-version-number' is ignored for archives" 1>&2
3506 $echo "$modename: warning: \`-release' is ignored for archives" 1>&2
3510 $echo "$modename: warning: \`-export-symbols' is ignored for archives" 1>&2
3523 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//' -e 's/^lib//'`
3529 $echo "$modename: libtool library \`$output' must begin with \`lib'" 1>&2
3530 $echo "$help" 1>&2
3535 name=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3539 libname=`$echo "X$outputname" | $Xsed -e 's/\.la$//'`
3546 $echo "$modename: cannot build libtool library \`$output' from non-libtool objects on this host:$objs" 2>&1
3549 $echo
3550 $echo "*** Warning: Linking the shared library $output against the non-libtool"
3551 $echo "*** objects $objs is not portable!"
3557 $echo "$modename: warning: \`-dlopen self' is ignored for libtool libraries" 1>&2
3562 $echo "$modename: warning: ignoring multiple \`-rpath's for a libtool library" 1>&2
3579 $echo "$modename: warning: \`-version-info/-version-number' is ignored for convenience libraries" 1>&2
3583 $echo "$modename: warning: \`-release' is ignored for convenience libraries" 1>&2
3593 $echo "$modename: too many parameters to \`-version-info'" 1>&2
3594 $echo "$help" 1>&2
3632 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3633 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3649 $echo "$modename: CURRENT \`$current' must be a nonnegative integer" 1>&2
3650 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3658 $echo "$modename: REVISION \`$revision' must be a nonnegative integer" 1>&2
3659 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3667 $echo "$modename: AGE \`$age' must be a nonnegative integer" 1>&2
3668 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3674 $echo "$modename: AGE \`$age' is greater than the current interface number \`$current'" 1>&2
3675 $echo "$modename: \`$vinfo' is not valid version information" 1>&2
3767 $echo "$modename: unknown library version type \`$version_type'" 1>&2
3768 $echo "Fatal configuration error. See the $PACKAGE docs for more information." 1>&2
3803 $echo "$modename: warning: undefined symbols not allowed in $host shared libraries" 1>&2
3817 tempremovelist=`$echo "$output_objdir/*"`
3824 if echo $p | $EGREP -e "$precious_files_regex" >/dev/null 2>&1
3845 oldobjs="$objs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}'$/d' -e "$lo2o" | $NL2SP`
3850 # lib_search_path=`$echo "$lib_search_path " | ${SED} -e "s% $path % %g"`
3851 # deplibs=`$echo "$deplibs " | ${SED} -e "s% -L$path % %g"`
3852 # dependency_libs=`$echo "$dependency_libs " | ${SED} -e "s% -L$path % %g"`
3969 libname=`eval \\$echo \"$libname_spec\"`
3970 deplib_matches=`eval \\$echo \"$library_names_spec\"`
3977 $echo
3978 $echo "*** Warning: dynamic linker does not accept needed library $i."
3979 $echo "*** I have the capability to make that library automatically link in when"
3980 $echo "*** you link to this library. But I can only do this if you have a"
3981 $echo "*** shared version of the library, which I believe you do not have"
3982 $echo "*** because a test_compile did reveal that the linker did not use it for"
3983 $echo "*** its dynamic dependency list that programs get resolved with at runtime."
4009 libname=`eval \\$echo \"$libname_spec\"`
4010 deplib_matches=`eval \\$echo \"$library_names_spec\"`
4017 $echo
4018 $echo "*** Warning: dynamic linker does not accept needed library $i."
4019 $echo "*** I have the capability to make that library automatically link in when"
4020 $echo "*** you link to this library. But I can only do this if you have a"
4021 $echo "*** shared version of the library, which you do not appear to have"
4022 $echo "*** because a test_compile did reveal that the linker did not use this one"
4023 $echo "*** as a dynamic dependency that programs can get resolved with at runtime."
4028 $echo
4029 $echo "*** Warning! Library $i is needed by this library but I was not able to"
4030 $echo "*** make it link in! You will probably need to install it or some"
4031 $echo "*** library that it depends on before this library will be fully"
4032 $echo "*** functional. Installing it before continuing would be even better."
4056 libname=`eval \\$echo \"$libname_spec\"`
4075 *) potlib=`$echo "X$potlib" | $Xsed -e 's,[^/]*$,,'`"$potliblink";;
4090 $echo
4091 $echo "*** Warning: linker path does not have real file for library $a_deplib."
4092 $echo "*** I have the capability to make that library automatically link in when"
4093 $echo "*** you link to this library. But I can only do this if you have a"
4094 $echo "*** shared version of the library, which you do not appear to have"
4095 $echo "*** because I did check the linker path looking for a file starting"
4097 $echo "*** with $libname but no candidates were found. (...for file magic test)"
4099 $echo "*** with $libname and none of the candidates passed a file format test"
4100 $echo "*** using a file magic. Last file checked: $potlib"
4125 libname=`eval \\$echo \"$libname_spec\"`
4130 if eval $echo \"$potent_lib\" 2>/dev/null \
4142 $echo
4143 $echo "*** Warning: linker path does not have real file for library $a_deplib."
4144 $echo "*** I have the capability to make that library automatically link in when"
4145 $echo "*** you link to this library. But I can only do this if you have a"
4146 $echo "*** shared version of the library, which you do not appear to have"
4147 $echo "*** because I did check the linker path looking for a file starting"
4149 $echo "*** with $libname but no candidates were found. (...for regex pattern test)"
4151 $echo "*** with $libname and none of the candidates passed a file format test"
4152 $echo "*** using a regex pattern. Last file checked: $potlib"
4163 tmp_deplibs=`$echo "X $deplibs" | $Xsed -e 's/ -lc$//' \
4168 tmp_deplibs=`$echo "X $tmp_deplibs" | ${SED} -e "1s,^X,," -e "s,$i,,"`
4171 if $echo "X $tmp_deplibs" | $Xsed -e 's/[ ]//g' \
4173 $echo
4175 $echo "*** Warning: inter-library dependencies are not supported in this platform."
4177 $echo "*** Warning: inter-library dependencies are not known to be supported."
4179 $echo "*** All declared inter-library dependencies are being dropped."
4193 newdeplibs=`$echo "X $newdeplibs" | $Xsed -e 's/ -lc / -framework System /'`
4199 $echo
4200 $echo "*** Warning: libtool could not satisfy all declared inter-library"
4201 $echo "*** dependencies of module $libname. Therefore, libtool will create"
4202 $echo "*** a static module, that should work as long as the dlopening"
4203 $echo "*** application is linked with the -dlopen flag."
4205 $echo
4206 $echo "*** However, this would only work if libtool was able to extract symbol"
4207 $echo "*** lists from a program, using \`nm' or equivalent, but libtool could"
4208 $echo "*** not find such a program. So, this module is probably useless."
4209 $echo "*** \`nm' from GNU binutils and a full rebuild may help."
4219 $echo "*** The inter-library dependencies that have been dropped here will be"
4220 $echo "*** automatically added whenever a program is linked with this library"
4221 $echo "*** or is declared to -dlopen it."
4224 $echo
4225 $echo "*** Since this library must not contain undefined symbols,"
4226 $echo "*** because either the platform does not support them or"
4227 $echo "*** it was explicitly requested with -no-undefined,"
4228 $echo "*** libtool will only create a static version of it."
4365 test -z "$pic_flag" && libobjs=`$echo "X$libobjs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4403 $run eval '$echo "X$include_expsyms" | $SP2NL >> "$export_symbols"'
4465 $echo "creating reloadable object files..."
4479 output_la=`$echo "X$output" | $Xsed -e "$basename"`
4540 $echo "creating a temporary reloadable object file: $output"
4631 $echo "$modename: warning: \`-l' and \`-L' are ignored for objects" 1>&2 ;;
4635 $echo "$modename: warning: \`-dlopen' is ignored for objects" 1>&2
4639 $echo "$modename: warning: \`-rpath' is ignored for objects" 1>&2
4643 $echo "$modename: warning: \`-R' is ignored for objects" 1>&2
4647 $echo "$modename: warning: \`-version-info' is ignored for objects" 1>&2
4651 $echo "$modename: warning: \`-release' is ignored for objects" 1>&2
4657 $echo "$modename: cannot build library object \`$output' from non-libtool objects" 1>&2
4661 obj=`$echo "X$output" | $Xsed -e "$lo2o"`
4686 reload_conv_objs=$reload_objs\ `$echo "X$tmp_whole_archive_flags" | $Xsed -e 's|,| |g'`
4697 reload_objs="$objs$old_deplibs "`$echo "X$libobjs" | $SP2NL | $Xsed -e '/\.'${libext}$'/d' -e '/\.lib$/d' -e "$lo2o" | $NL2SP`" $reload_conv_objs" ### testsuite: skip nested quoting test
4728 # $show "echo timestamp > $libobj"
4729 # $run eval "echo timestamp > $libobj" || exit $?
4758 *cygwin*) output=`$echo $output | ${SED} -e 's,.exe$,,;s,$,.exe,'` ;;
4761 $echo "$modename: warning: \`-version-info' is ignored for programs" 1>&2
4765 $echo "$modename: warning: \`-release' is ignored for programs" 1>&2
4771 $echo "$modename: warning: \`AC_LIBTOOL_DLOPEN' not used. Assuming no dlopen support."
4778 compile_deplibs=`$echo "X $compile_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4779 finalize_deplibs=`$echo "X $finalize_deplibs" | $Xsed -e 's/ -lc / -framework System /'`
4866 testbindir=`$echo "X$libdir" | $Xsed -e 's*/lib$*/bin*'`
4924 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4925 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4933 $echo "$modename: not configured to extract global symbols from dlpreopened files" 1>&2
4950 test -z "$run" && $echo > "$output_objdir/$dlsyms" "\
4967 test -z "$run" && $echo ': @PROGRAM@ ' > "$nlist"
4970 progfiles=`$echo "X$objs$old_deplibs" | $SP2NL | $Xsed -e "$lo2o" | $NL2SP`
4993 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
5003 $run eval "echo EXPORTS "'> "$output_objdir/$outputname.def"'
5012 name=`$echo "$arg" | ${SED} -e 's%^.*/%%'`
5013 $run eval '$echo ": $name " >> "$nlist"'
5042 $echo '/* NONE */' >> "$output_objdir/$dlsyms"
5045 $echo >> "$output_objdir/$dlsyms" "\
5061 $echo >> "$output_objdir/$dlsyms" "\
5069 $echo >> "$output_objdir/$dlsyms" "\
5076 $echo >> "$output_objdir/$dlsyms" "\
5086 $echo >> "$output_objdir/$dlsyms" "\
5134 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
5135 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}.def $output_objdir/${outputname}S.${objext}%" | $NL2SP`
5137 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
5138 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
5142 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
5143 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s%@SYMFILE@%$output_objdir/${outputname}S.${objext}%" | $NL2SP`
5148 $echo "$modename: unknown suffix for \`$dlsyms'" 1>&2
5158 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
5159 finalize_command=`$echo "X$finalize_command" | $SP2NL | $Xsed -e "s% @SYMFILE@%%" | $NL2SP`
5164 compile_command=`$echo "X$compile_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$output"'%g' | $NL2SP`
5231 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output"'%g'`
5245 $echo "$modename: warning: this platform does not like uninstalled shared libraries" 1>&2
5246 $echo "$modename: \`$output' will be relinked during installation" 1>&2
5251 relink_command=`$echo "X$compile_var$compile_command$compile_rpath" | $SP2NL | $Xsed -e 's%@OUTPUT@%\$progdir/\$file%g' | $NL2SP`
5263 link_command=`$echo "X$link_command" | $Xsed -e 's%@OUTPUT@%'"$output_objdir/$outputname"'%g'`
5283 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
5288 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
5291 # Quote $echo for shipping.
5292 if test "X$echo" = "X$SHELL $progpath --fallback-echo"; then
5294 [\\/]* | [A-Za-z]:[\\/]*) qecho="$SHELL $progpath --fallback-echo";;
5295 *) qecho="$SHELL `pwd`/$progpath --fallback-echo";;
5297 qecho=`$echo "X$qecho" | $Xsed -e "$sed_quote_subst"`
5299 qecho=`$echo "X$echo" | $Xsed -e "$sed_quote_subst"`
5307 *.exe) output=`$echo $output|${SED} 's,.exe$,,'` ;;
5313 outputname=`$echo $outputname|${SED} 's,.exe$,,'` ;;
5678 $echo > $output "\
5720 # When we are sourced in execute mode, \$file and \$echo are already set.
5722 echo=\"$qecho\"
5724 # Make sure echo works.
5728 elif test \"X\`(\$echo '\t') 2>/dev/null\`\" = 'X\t'; then
5729 # Yippee, \$echo works!
5732 # Restart under the correct shell, and then maybe \$echo will work.
5737 $echo >> $output "\
5740 thisdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*$%%'\`
5746 destdir=\`\$echo \"X\$file\" | \$Xsed -e 's%/[^/]*\$%%'\`
5756 file=\`\$echo \"X\$file\" | \$Xsed -e 's%^.*/%%'\`
5766 $echo >> $output "\
5782 $echo >> $output "\
5788 $echo \"\$relink_command_output\" >&2
5800 $echo >> $output "\
5806 $echo >> $output "\
5812 $echo >> $output "\
5818 $shlibpath_var=\`\$echo \"X\$$shlibpath_var\" | \$Xsed -e 's/::*\$//'\`
5826 $echo >> $output "\
5832 $echo >> $output "\
5839 $echo >> $output "\
5845 $echo >> $output "\
5850 $echo >> $output "\
5851 \$echo \"\$0: cannot exec \$program \$*\"
5856 \$echo \"\$0: error: \\\`\$progdir/\$program' does not exist\" 1>&2
5857 \$echo \"This script is just a wrapper for \$program.\" 1>&2
5858 $echo \"See the $PACKAGE documentation for more information.\" 1>&2
5906 $echo "X$obj" | $Xsed -e 's%^.*/%%'
5910 $echo "copying selected object files to avoid basename conflicts..."
5931 objbase=`$echo "X$obj" | $Xsed -e 's%^.*/%%'`
5962 $echo "using piecewise archive linking..."
6031 var_value=`$echo "X$var_value" | $Xsed -e "$sed_quote_subst"`
6037 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e "$sed_quote_subst" | $NL2SP`
6056 name=`$echo "X$deplib" | $Xsed -e 's%^.*/%%'`
6059 $echo "$modename: \`$deplib' is not a valid libtool archive" 1>&2
6070 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
6073 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6081 name=`$echo "X$lib" | $Xsed -e 's%^.*/%%'`
6084 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6116 $echo > $output "\
6153 $echo >> $output "\
6176 $echo "X$nonopt" | grep shtool > /dev/null; then
6178 arg=`$echo "X$nonopt" | $Xsed -e "$sed_quote_subst"`
6194 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
6245 arg=`$echo "X$arg" | $Xsed -e "$sed_quote_subst"`
6255 $echo "$modename: you must specify an install program" 1>&2
6256 $echo "$help" 1>&2
6261 $echo "$modename: the \`$prev' option requires an argument" 1>&2
6262 $echo "$help" 1>&2
6268 $echo "$modename: no file or destination specified" 1>&2
6270 $echo "$modename: you must specify a destination" 1>&2
6272 $echo "$help" 1>&2
6277 dest=`$echo "X$dest" | $Xsed -e 's%/$%%'`
6285 destdir=`$echo "X$dest" | $Xsed -e 's%/[^/]*$%%'`
6287 destname=`$echo "X$dest" | $Xsed -e 's%^.*/%%'`
6292 $echo "$modename: \`$dest' is not a directory" 1>&2
6293 $echo "$help" 1>&2
6304 $echo "$modename: \`$destdir' must be an absolute directory name" 1>&2
6305 $echo "$help" 1>&2
6333 $echo "$modename: \`$file' is not a valid libtool archive" 1>&2
6334 $echo "$help" 1>&2
6361 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`/
6367 inst_prefix_dir=`$echo "$destdir" | $SED "s%$libdir\$%%"`
6376 $echo "$modename: error: cannot install \`$file' to a directory not ending in $libdir" 1>&2
6382 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%-inst-prefix-dir $inst_prefix_dir%" | $NL2SP`
6384 relink_command=`$echo "$relink_command" | $SP2NL | $SED "s%@inst_prefix_dir@%%" | $NL2SP`
6387 $echo "$modename: warning: relinking \`$file'" 1>&2
6391 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6451 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6467 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6474 staticdest=`$echo "X$destfile" | $Xsed -e "$lo2o"`
6481 $echo "$modename: cannot copy a libtool object to \`$destfile'" 1>&2
6482 $echo "$help" 1>&2
6496 staticobj=`$echo "X$file" | $Xsed -e "$lo2o"`
6509 destfile=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6520 file=`$echo $file|${SED} 's,.exe$,,'`
6529 wrapper=`$echo $file | ${SED} -e 's,.exe$,,'`
6552 $echo "$modename: invalid libtool wrapper script \`$wrapper'" 1>&2
6567 libfile="$libdir/"`$echo "X$lib" | $Xsed -e 's%^.*/%%g'` ### testsuite: skip nested quoting test
6569 $echo "$modename: warning: \`$lib' has not been installed in \`$libdir'" 1>&2
6590 file=`$echo "X$file$stripped_ext" | $Xsed -e 's%^.*/%%'`
6593 relink_command=`$echo "X$relink_command" | $SP2NL | $Xsed -e 's%@OUTPUT@%'"$outputname"'%g' | $NL2SP`
6598 $echo "$modename: error: relink \`$file' with the above command before installing it" 1>&2
6604 $echo "$modename: warning: cannot relink \`$file'" 1>&2
6608 file=`$echo "X$file$stripped_ext" | $Xsed -e "s%\([^/]*\)$%$objdir/\1%"`
6624 destfile=`$echo $destfile | ${SED} -e 's,.exe$,,'`
6637 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
6663 $echo "$modename: warning: remember to run \`$progname --finish$future_libdirs'" 1>&2
6713 $echo "X----------------------------------------------------------------------" | $Xsed
6714 $echo "Libraries have been installed in:"
6716 $echo " $libdir"
6718 $echo
6719 $echo "If you ever happen to want to link against installed libraries"
6720 $echo "in a given directory, LIBDIR, you must either use libtool, and"
6721 $echo "specify the full pathname of the library, or use the \`-LLIBDIR'"
6722 $echo "flag during linking and do at least one of the following:"
6724 $echo " - add LIBDIR to the \`$shlibpath_var' environment variable"
6725 $echo " during execution"
6728 $echo " - add LIBDIR to the \`$runpath_var' environment variable"
6729 $echo " during linking"
6735 $echo " - use the \`$flag' linker flag"
6738 $echo " - have your system administrator run these commands:$admincmds"
6741 $echo " - have your system administrator add LIBDIR to \`/etc/ld.so.conf'"
6743 $echo
6744 $echo "See any operating system documentation about shared libraries for"
6745 $echo "more information, such as the ld(1) and ld.so(8) manual pages."
6746 $echo "X----------------------------------------------------------------------" | $Xsed
6757 $echo "$modename: you must specify a COMMAND" 1>&2
6758 $echo "$help"
6765 $echo "$modename: \`$file' is not a file" 1>&2
6766 $echo "$help" 1>&2
6776 $echo "$modename: \`$lib' is not a valid libtool archive" 1>&2
6777 $echo "$help" 1>&2
6794 test -n "$library_names" && $echo "$modename: warning: \`$file' was not linked with \`-export-dynamic'"
6798 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6805 $echo "$modename: cannot find \`$dlname' in \`$dir' or \`$dir/$objdir'" 1>&2
6813 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6818 $echo "$modename: warning \`-dlopen' is ignored for non-libtool libraries and objects" 1>&2
6860 file=`$echo "X$file" | $Xsed -e "$sed_quote_subst"`
6883 eval "\$echo \"\$shlibpath_var=\$$shlibpath_var\""
6884 $echo "export $shlibpath_var"
6886 $echo "$cmd$args"
6913 $echo "$modename: you must specify an RM program" 1>&2
6914 $echo "$help" 1>&2
6922 dir=`$echo "X$file" | $Xsed -e 's%/[^/]*$%%'`
6929 name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
7039 file=`$echo $file|${SED} 's,.exe$,,'`
7040 noexename=`$echo $name|${SED} 's,.exe$,,'`
7081 $echo "$modename: you must specify a MODE" 1>&2
7082 $echo "$generic_help" 1>&2
7088 $echo "$modename: invalid operation mode \`$mode'" 1>&2
7089 $echo "$generic_help" 1>&2
7101 "") $echo \
7136 $echo \
7150 $echo \
7171 $echo \
7191 $echo \
7203 $echo \
7216 $echo \
7273 $echo \
7287 $echo "$modename: invalid operation mode \`$mode'" 1>&2
7288 $echo "$help" 1>&2
7293 $echo
7294 $echo "Try \`$modename --help' for more information about other modes."
7353 # An echo program that does not interpret backslashes.
7354 echo="echo"
7662 # An echo program that does not interpret backslashes.
7663 echo="echo"
7800 archive_expsym_cmds="\$echo \\\"{ global:\\\" > \$output_objdir/\$libname.ver~
7802 \$echo \\\"local: *; };\\\" >> \$output_objdir/\$libname.ver~